Верстак эскизов

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Sketcher Workbench and the translation is 12% complete.

Outdated translations are marked like this.
Other languages:
български • ‎čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(台灣)‎

Workbench Sketcher.svg

Введение

Верстак Эскизов Sketcher Workbench

используется для создания 2D геометрии используемой PartDesign Workbench, Arch Workbench, и другими верстаками. Обычно, двумерная геометрия принимается за стартовую точку для большинства моделей САПР - простой двумерный набросок может быть 'выдавлен' в трёхмерную форму, в дальнейшем двумерные наброски могут быть использованы для создания других элементов, таких как карманы, выступы или выдавливания поверх ранее построенных 3D-фигур. Вместе с логическими операциями над твердыми телами, определенными в Part Workbench, Sketcher формирует ядро ​​генеративного проектирования сплошных фигур.
Инструментальные Bерстак Sketcher имеют «ограничения», позволяющие 2D-фигурам следовать точным геометрическим определениям. Средство определения ограничений вычисляет ограниченный экстент 2D-геометрии и позволяет интерактивно исследовать степени свободы эскиза.
FC ConstrainedSketch.png

A fully constrained sketch


Основы ограничений эскиза

Чтобы объяснить как работает модуль эскизов, может быть полезно сравнить его с "традиционным" способом черчения.

Традиционное черчение

Традиционный способ CAD черчение, ведет свои истоки от старой доброй чертежной доски. Ортогональные (2D) виды рисуются вручную и предназначены для создания технического чертежа. Объекты рисуются точно соответствуя размерам или габаритам. Если вы хотите начертить горизонтальную линию , длинной 100мм выходящую из точки (0,0), вы должны выбрать инструмент для рисования линий, первый раз щелкнув на экран вводите (0,0) - координаты первой точки, затем вторым щелчком или просто с клавиатуры вводите координаты второй точки (100,0). Или вы будете чертить линию без привязки к позиции и переместите её позже. когда вы закончите чертить вашу геометрию , вы добавляете к ней размеры.

Ограниченные Эскизы

Sketcher отходит от этой логики. Объекты не нужно чертить так как вы планируете чтобы они располагались, так как они будут заданы позже с помощью ограничений. Объекты могут быть нарисованы свободно и до тех пор пока они не связаны, они могут быть изменены. Они находятся в "плавающем" состоянии и могут быть перемещены,растянуты, их можно вращать , масштабировать и.т.д. Это делает процесс проектирования более гибким.

Какие существую ограничения?

Вместо измерений ограничения используются для ограничения степеней свободы объекта. Например, линия без ограничений обладает 4-мя степенями свободы Degrees Of Freedom (сокращенно «DOF»): ее можно перемещать по горизонтали или по вертикали,и её можно растянуть и повернуть

Применение горизонтального и вертикального ограничения, или углового ограничения (относительно другой линии или одной из координатных осей), ограничит её способность вращаться, тем самым оставляя линию с двумя степенями свободы. Блокировка одной из её точек уберет ещё одну степень свободы, по сравнению с первоначальным. И применив ограничение "размером" уберем последнюю степень свободы. Линия будет считаться полностью ограниченной.

Несколько объектов могут быть ограничены между собой. Две линии могут быть соединены между собой через одну из своих точек, с помощью ограничения -"совпадение". Можно установить угол между ними, или можно сделать их перпендикулярными. Линия может быть касательной к дуге, или окружности, и.т.д. Сложный эскиз с несколькими объектами будет иметь несколько разных решений. Следовательно, если он «полностью ограничен», это означает, что в зависимости от примененных ограничений было достигнуто только одно из этих возможных решений.

Существует два вида ограничений: геометрические и размерные. Они подробно описаны ниже, в разделе #Инструменты.

Для чего Sketcher не стоит применять

Sketcher не предназначен для создания 2D чертежей. Эскизы применяются для создания твердотельных объектов, они буду автоматически скрыты. Размеры видны только во время редактирования Эскиза.Ограничения видны только в режиме редактирования эскиза.

Если вам только нужно создать 2D виды для печати и вам не нужна трехмерные модели, посмотрите Draft workbench.

Рабочий процесс

Будет добавлено

If the Sketch has segments that cross one another, places where a Point is not directly on a segment, or places where there are gaps between endpoints of adjacent segments, Pad or Revolve won't create a solid. The exception to this rule is that it doesn't apply to Construction (blue) Geometry.

Inside the enclosed area we can have smaller non-overlapping areas. These will become voids when the 3D solid is created.

Инструменты

Инструменты эскизного инструментария располагаются в меню Sketcher которое появляется после загрузки инструментария.

  • Sketcher NewSketch.png New sketch: Creates‎ a new sketch on a selected face or plane. If no face is selected while this tool is executed the user is prompted to select a plane from a pop-up window.
  • Sketcher ViewSketch.png View sketch: Sets the model view perpendicular to the sketch plane.
  • Validate sketch: Verify the tolerance of different points and adjust them.

Sketcher geometries

These are tools for creating objects.

  • Sketcher Line.png Line by 2 point: Draws a line segment from 2 points. Lines are infinite regarding certain constraints.
  • Create an arc: This is an icon menu in the Sketcher toolbar that holds the following commands:
  • Sketcher Arc.png Arc: Draws an arc segment from center, radius, start angle and end angle.
  • Sketcher CreateArc3Point.png Arc by 3 Point: Draws an arc segment from two endpoints and another point on the circumference.
  • Create a circle: This is an icon menu in the Sketcher toolbar that holds the following commands:
  • Sketcher Circle.png Circle: Draws a circle from center and radius.
  • Sketcher CreatePolyline.png Polyline (multiple-point line): Draws a line made of multiple line segments. Pressing the M key while drawing a Polyline toggles between the different polyline modes.
  • Sketcher CreateRectangle.png Rectangle: Draws a rectangle from 2 opposite points.
  • Sketcher CreateSlot.png Slot: Draws an oval by selecting the center of one semicircle and an endpoint of the other semicircle.
  • Sketcher CreateFillet.png Fillet: Makes a fillet between two lines joined at one point. Select both lines or click on the corner point, then activate the tool.
  • Sketcher Trimming.png Trimming: Trims a line, circle or arc with respect to the clicked point.
  • Sketcher ToggleConstruction.png Construction Mode: Toggles sketch geometry from/to construction mode. Construction geometry is shown in blue and is discarded outside of Sketch editing mode.

Sketcher constraints

Constraints are used to define lengths, set rules between sketch elements, and to lock the sketch along the vertical and horizontal axes. Some constraints require use of Helper constraints.

Geometric constraints

These constraints are not associated with numeric data.

  • Sketcher ConstrainCoincident.png Coincident: Affixes a point onto (coincident with) one or more other points.
  • Sketcher ConstrainPointOnObject.png Point On Object: Affixes a point onto another object such as a line, arc, or axis.
  • Constraint Vertical.png Vertical: Constrains the selected lines or polyline elements to a true vertical orientation. More than one object can be selected before applying this constraint.
  • Constraint Horizontal.png Horizontal: Constrains the selected lines or polyline elements to a true horizontal orientation. More than one object can be selected before applying this constraint.
  • Sketcher ConstrainParallel.png Parallel: Constrains two or more lines parallel to one another.
  • Sketcher ConstrainPerpendicular.png Perpendicular: Constrains two lines perpendicular to one another, or constrains a line perpendicular to an arc endpoint.
  • Constraint Tangent.png Tangent: Creates a tangent constraint between two selected entities, or a co-linear constraint between two line segments. A line segment does not have to lie directly on an arc or circle to be constrained tangent to that arc or circle.
  • Sketcher ConstrainEqual.png Equal Length: Constrains two selected entities equal to one another. If used on circles or arcs their radii will be set equal.
  • Sketcher ConstrainSymmetric.png Symmetric: Constrains two points symmetrically about a line, or constrains the first two selected points symmetrically about a third selected point.

Dimensional constraints

These are constraints associated with numeric data, for which you can use the expressions. The data may be taken from a spreadsheet.

  • Sketcher ConstrainLock.png Lock: Constrains the selected item by setting vertical and horizontal distances relative to the origin, thereby locking the location of that item. These constraint distances can be edited later.
  • Sketcher ConstrainDistanceX.png Horizontal Distance: Fixes the horizontal distance between two points or line endpoints. If only one item is selected, the distance is set to the origin.
  • Sketcher ConstrainDistanceY.png Vertical Distance: Fixes the vertical distance between 2 points or line endpoints. If only one item is selected, the distance is set to the origin.
  • Sketcher ConstrainDistance.png Distance: Defines the distance of a selected line by constraining its length, or defines the distance between two points by constraining the distance between them.
  • Sketcher ConstrainRadius.png Radius: Defines the radius of a selected arc or circle by constraining the radius.
  • Constraint InternalAngle.png Internal Angle: Defines the internal angle between two selected lines.
  • Constraint InternalAlignment.png Internal Alignment: Aligns selected elements to selected shape (e.g. a line to become major axis of an ellipse).

Sketcher tools

  • Sketcher Element Ellipse All.png Show/Hide internal geometry: Recreates missing/deletes unneeded internal geometry of a selected ellipse, arc of ellipse/hyperbola/parabola or B-spline.

Sketcher B-spline tools

Sketcher virtual space

Preferences

Правила хорошего проектирования

Каждый пользователь CAD со временем развивает собственный способ работы, но существуют некоторые общие принципы которым полезно следовать.

  • Набором простых эскизов управлять легче чем одним сложным. Например, первый эскиз был создан как основа для 3D функционала (как основа для вытягивания или вращения) тогда как второй содержит все отверстия или вырезы(карманы). Некоторые элементы могут быть опущены, чтобы позже их можно было реализовать трехмерными функциями. Вы можете выбирать, избежать скруглений в вашем эскизе если их слишком много, и добавить их с помощью трехмерной функции.
  • Всегда создавайте замкнутый профиль, или ваш эскиз не будет создавать твердых тел, а скорее набор открытых граней. Если вы не хотите чтобы некоторые объекты были включены в создаваемое твердое тело, превратите их в вспомогательные элементы с помощью инструмента Конструкционный режим(Construction Mode).
  • Используйте функцию автоматического ограничения, чтобы уменьшить количество ограничений введенных вручную.
  • Как правило, с начала применяют геометрические ограничения, затем размерные ограничения и в конце блокируют эскиз. Но помните: правила существуют для того чтобы их нарушать. Если у вас возникли проблемы при во время управления вашим эскизом, полезно будет ограничить сперва несколько объектов, до полного задания всего эскиза.
  • Если это возможно,на центр вашего эскиза в точке (0,0) заблокируйте ограничением. Если ваш эскиз не симметричен, расположите одну из его точек в центре(0,0) , или выберете красивые округленные числа для блокировки на расстоянии. В v0.12, внешние ограничения (ограничивающие эскиз с помощью существующей 3D геометрии , такой как ребра или другие эскизы) не реализованы. Это означает, для того чтобы расположить следующую геометрию эскиза относительно вашего первого эскиза, вам надо вручную ввести расстояние относительно вашего первого эскиза. И блокировка ограничением в точке (25,75) от начала координат, гораздо удобней чем (23.47,73.02).